Subject: [Emailcore] Ticket #41 (was Ticket #9: G.7.3. Resolvable FQDN in SMTP and private domain names)

From: "Alexey Melnikov" <[email-masked]>
Date: Mon, 22 Feb 2021 15:30:32 +0000

On Tue, Nov 17, 2020, at 7:24 AM, Ned Freed wrote:
> > Dear WG participants,
> 
> > Another rfc5321bis issue for your consideration:
> 
> > In Section 2.3.5 ("Domain Names"):
> >      Only resolvable, fully-qualified domain names (FQDNs) are permitted
> > when domain names are used in SMTP.
> 
> > John's Note (as the editor): does "in the public DNS" or equivalent need
> > to be added to "resolvable"???
> 
> > My personal opinion: I don't think we should require "in the public
> > DNS", as as SMTP works just fine with split horizon or private DNS servers.
> 
> Agreed. While it can be convenient to perform DNS validity checks of the
> domains in addresses in some contexts - or even more limited stuff like
> checking for valid TLDs - it should not be an SMTP requirement. Requirements
> like these lead to implementations imposing restrictions that are difficult
> to remove - and there are cases where you want to remove them.

I split this issue into a separate ticket #41. I intend to close it in a week, unless there are some objections.